post
https://{domainname}/ca_apis/PhoneManageV2
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API is used to delete existing phone number details in CloudAgent. The user has to pass the ‘action’ parameter with the delete function.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
Header parameters
| Parameter | Description |
|---|---|
| apiKey* | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
{
"userName":"xxxx",
"action":"delete",
"phoneNumber":"xxxx",
"phoneName":"xxxxx"}
| Parameter | Description |
|---|---|
| userName* | CloudAgent user name |
| action* | "delete" to delete an existing phone number |
| phoneNumber* | The phone number that is to be deleted. |
| phoneName* | Optional name to the Phone number or lead. |
Note
- Parameters with ‘*’ are considered to be mandatory parameters.
- phoneNumber with special characters(+1, +91 etc.,) are to be encoded(add %2B instead of ‘+’) while passing in the request.
- The ‘phoneName’ parameter is not case-sensitive.
Possible responses
| Success response | "status": "success" "message": "record inserted successfully" |
| Invalid api_key | "status": "error" "message": "userName or apiKey not valid" |
| Invalid action | "status": "error" "message": "action not valid" |
| Invalid phoneNumber | "status": "error" "message": "phoneNumber must be numeric" |
| Invalid username | "status": "error" "message": "userName or apiKey not valid" |
| Empty phoneName | "status": "error" "message": "phoneName cannot be empty" |
| Empty phoneNumber | "status": "error" "message": "phoneNumber cannot be empty" |
